> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zuba.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new API key

> Provisions a new M2M application in Auth0 and returns credentials. The client secret is only shown once.



## OpenAPI

````yaml /openapi.json post /v1/api-keys
openapi: 3.0.0
info:
  contact: {}
  description: >-
    Comprehensive payment platform API supporting fiat and crypto payments,
    currency conversion, and compliance management
  title: Zuba Payment Platform API
  version: '1.0'
servers: []
security: []
tags:
  - description: Manage M2M API keys and credentials
    name: API Keys
  - description: Internal ledger accounts and transactions
    name: Ledger
  - description: Handle incoming payments and deposits
    name: Pay-ins
  - description: Manage payouts, beneficiaries, and SEPA transfers
    name: Payouts
  - description: Manage outbound webhook endpoints and deliveries
    name: Webhooks
paths:
  /v1/api-keys:
    post:
      tags:
        - API Keys
      summary: Create a new API key
      description: >-
        Provisions a new M2M application in Auth0 and returns credentials. The
        client secret is only shown once.
      operationId: ApiKeyController_createApiKey
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateApiKeyDto'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiKeyDto'
          description: API key created successfully
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
        - bearer: []
components:
  schemas:
    CreateApiKeyDto:
      properties:
        description:
          description: Description of what this API key will be used for
          example: API key for production payment processing
          type: string
        name:
          description: Name for the API key
          example: Production Integration
          type: string
      required:
        - name
      type: object
    ApiKeyDto:
      properties:
        audience:
          description: API audience/identifier
          example: https://api.zuba.com
          type: string
        clientId:
          description: Auth0 client ID (use this as the API key)
          example: abc123xyz456
          type: string
        clientSecret:
          description: Client secret (only shown once during creation)
          example: secret_key_here
          type: string
        createdAt:
          description: Creation timestamp
          type: string
        description:
          description: Description
          type: string
        domain:
          description: Auth0 domain for token endpoint
          example: your-tenant.auth0.com
          type: string
        name:
          description: Name of the API key
          example: Production Integration
          type: string
      required:
        - clientId
        - clientSecret
        - name
        - createdAt
        - domain
        - audience
      type: object
  securitySchemes:
    bearer:
      bearerFormat: JWT
      description: Enter Auth0 JWT token
      scheme: bearer
      type: http

````